Issue 117319 - Impress crashes with table cells in clipboard
Impress crashes with table cells in clipboard
Status: CLOSED FIXED
Product: Impress
Classification: Application
Component: editing
OOo 3.3
PC All
: P3 normal (vote)
: 3.4.0
Assigned To: wolframgarten
issues@graphics
: regression
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-10 15:24 UTC by clippka
Modified: 2012-06-25 05:29 UTC (History)
2 users (show)

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments

Note You need to log in before you can comment on or make changes to this issue.
Description clippka 2011-03-10 15:24:30 UTC
- create new impress document
- insert a table and put text in one or more cells
- select one or more cell and select 'copy'
- create new writer document
- close impress document
- type some text in writer document, select text and select 'copy'

-> Crash
Comment 1 clippka 2011-03-10 15:26:35 UTC
fixed in cws impress210

void SdrTableObjImpl::SetModel(..) didn't disconnect from table style of old document and also didn't connect to new one. added missing disconnectTableStyle() and connectTableStyle() calls.
Comment 2 clippka 2011-03-29 11:53:02 UTC
verified in cws, back to qa
Comment 3 wolframgarten 2011-03-31 11:28:35 UTC
Verified in CWS.
Comment 4 Oliver-Rainer Wittmann 2012-06-13 12:23:25 UTC
getting rid of value "enhancement" for field "severity".
For enhancement the field "issue type" shall be used.
Comment 5 liuping 2012-06-25 05:29:38 UTC
confirm fixing the bug on ver 1351249 in Win7 ,pass